> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapfy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll results

> Returns the votes of a poll by its `messageId` (the id returned by send-poll).



## OpenAPI

````yaml /en/api-reference/openapi.json get /messages/poll-results
openapi: 3.1.0
info:
  title: Zapfy API
  description: >-
    Multi-tenant WhatsApp API. Send messages and manage webhooks through a
    single surface.
  version: 1.0.0
servers:
  - url: https://api.zapfy.io/v1
security:
  - accountToken: []
paths:
  /messages/poll-results:
    get:
      tags:
        - Messages
      summary: Poll results
      description: >-
        Returns the votes of a poll by its `messageId` (the id returned by
        send-poll).
      parameters:
        - name: messageId
          in: query
          required: true
          schema:
            type: string
          description: '`messageId` returned by send-poll.'
          example: 3EB0C7...
      responses:
        '200':
          $ref: '#/components/responses/PollResults'
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '502':
          $ref: '#/components/responses/Error'
      security:
        - instanceToken: []
components:
  responses:
    PollResults:
      description: Poll results.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/PollResultsResult'
    Error:
      description: Error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Instance not found
  schemas:
    PollResultsResult:
      type: object
      properties:
        messageId:
          type: string
          description: Poll id (returned by send-poll).
          example: 3EB0C7...
        totalVotes:
          type: integer
          description: Total votes.
          example: 2
        optionCounts:
          type: object
          additionalProperties:
            type: integer
          description: Votes per option, keyed by the SHA-256 hash of the option text.
          example:
            a1b2c3: 2
        voters:
          type: array
          items:
            $ref: '#/components/schemas/PollVoter'
          description: Voters.
    PollVoter:
      type: object
      properties:
        phone:
          type: string
          description: Voter phone in E.164.
          example: '5511999998888'
        name:
          type: string
          description: Voter name.
          example: Ana
        votedAt:
          type: string
          description: When they voted.
          example: '2026-06-25T12:00:00Z'
        selectedOptions:
          type: array
          items:
            type: string
          description: >-
            SHA-256 hashes of the chosen option texts (WhatsApp does not expose
            the text).
          example:
            - a1b2c3
  securitySchemes:
    accountToken:
      type: http
      scheme: bearer
      description: Account token (`zpfy_acct_...`) — manages instances and webhooks.
    instanceToken:
      type: http
      scheme: bearer
      description: Instance token (`zpfy_inst_...`) — sends messages.

````